Profit and loss
const url = 'https://api-admin.billz.ai/v1/profit-and-lose?start_date=2026-08-01&end_date=2026-08-31&shop_ids=09737a5c-19ee-4eb2-af02-4bdabf8a15e5%2Cb03661ba-731a-4e50-8f37-d220b89d718e¤cy=UZS';const options = { method: 'GET', headers: { 'accept-language': 'ru', 'platform-id': '7d4a4c38-dd84-4902-b744-0488b80a4c01', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api-admin.billz.ai/v1/profit-and-lose?start_date=2026-08-01&end_date=2026-08-31&shop_ids=09737a5c-19ee-4eb2-af02-4bdabf8a15e5%2Cb03661ba-731a-4e50-8f37-d220b89d718e¤cy=UZS' \ --header 'Authorization: Bearer <token>' \ --header 'accept-language: ru' \ --header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'Required permissions: “Profit and loss”.
Error codes: 400 — input validation error; 404 — object not found; 401, 403, 429, 500 — shared by all methods. Body formats and semantics: Response codes and errors.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Example
2026-08-01Format YYYY-MM-DD, without time
Example
2026-08-31Format YYYY-MM-DD, without time
If empty — all shops of the company
Example
[ "09737a5c-19ee-4eb2-af02-4bdabf8a15e5", "b03661ba-731a-4e50-8f37-d220b89d718e"]Currency of report amounts
Example
UZSHeader Parameters
Section titled “Header Parameters”Uz|ru|en, otherwise ru
Platform identifier. A static value is used for integrations.
Responses
Section titled “Responses”Successful response
object
Report data by shop
object
object
Amounts by period: the key is the period start, total is the total for the whole range
object
Amounts by period: the key is the period start, total is the total for the whole range
object
Amounts by period: the key is the period start, total is the total for the whole range
object
Amounts by period: the key is the period start, total is the total for the whole range
object
Amounts by period: the key is the period start, total is the total for the whole range
object
object
Amounts by period: the key is the period start, total is the total for the whole range
object
Amounts by period: the key is the period start, total is the total for the whole range
object
object
Amounts by period: the key is the period start, total is the total for the whole range
object
Amounts by period: the key is the period start, total is the total for the whole range
object
Amounts by period: the key is the period start, total is the total for the whole range
object
Amounts by period: the key is the period start, total is the total for the whole range
object
Amounts by period: the key is the period start, total is the total for the whole range
object
object
Amounts by period: the key is the period start, total is the total for the whole range
object
List of periods that serve as keys of all map fields
Examplegenerated
{ "shops": [ { "account_id": "example", "account_name": "example", "income": { "sale_price": { "total": 1 }, "discount": { "total": 1 }, "returned_price": { "total": 1 }, "net_revenue": { "total": 1 }, "total": { "total": 1 }, "categories": [ {} ], "rounding_amount": { "total": 1 }, "net_revenue_without_rounding": { "total": 1 } }, "expense": { "import": { "total": 1 }, "write_off": { "total": 1 }, "total": { "total": 1 }, "margin_profit": { "total": 1 }, "margin_profit_percent": { "total": 1 }, "categories": [ {} ] }, "profit": { "total": 1 } } ], "dates": [ "example" ]}